### R code from vignette source 'intro2fitdistrplus.Rnw'

###################################################
### code chunk number 1: intro2fitdistrplus.Rnw:44-45
###################################################
options(digits=3)


###################################################
### code chunk number 2: intro2fitdistrplus.Rnw:54-55
###################################################
library(fitdistrplus)


###################################################
### code chunk number 3: plotdistx1
###################################################
x1<-c(6.4,13.3,4.1,1.3,14.1,10.6,
9.9,9.6,15.3,22.1,13.4,13.2,
8.4,6.3,8.9,5.2,10.9,14.4)
plotdist(x1)


###################################################
### code chunk number 4: descdistx1
###################################################
descdist(x1)


###################################################
### code chunk number 5: descdistx1boot
###################################################
descdist(x1,boot=1000)


###################################################
### code chunk number 6: fitdistx1l
###################################################
f1l<-fitdist(x1,"logis")
summary(f1l)
gofstat(f1l)
plot(f1l)


###################################################
### code chunk number 7: intro2fitdistrplus.Rnw:119-120
###################################################
gofstat(f1l,print.test=TRUE)


###################################################
### code chunk number 8: intro2fitdistrplus.Rnw:132-137
###################################################
gofstat(fitdist(x1,"logis"))
gofstat(fitdist(x1,"lnorm"))
gofstat(fitdist(x1,"gamma"))
gofstat(fitdist(x1,"norm"))
gofstat(fitdist(x1,"weibull"))


###################################################
### code chunk number 9: fitdistx1n
###################################################
f1n <- fitdist(x1,"norm")
plot(f1n)
summary(f1n)
plot(f1n)


###################################################
### code chunk number 10: plotdistx1gu1
###################################################
dgumbel<-function(x,a,b) 1/b*exp((a-x)/b)*exp(-exp((a-x)/b))
pgumbel<-function(q,a,b) exp(-exp((a-q)/b))
qgumbel<-function(p,a,b) a-b*log(-log(p))
plotdist(x1,"gumbel",para=list(a=3,b=2))


###################################################
### code chunk number 11: plotdistx1gu2
###################################################
plotdist(x1,"gumbel",para=list(a=10,b=5))


###################################################
### code chunk number 12: fitdistx1gu
###################################################
fgu<-fitdist(x1,"gumbel",start=list(a=10,b=5))
plot(fgu)
summary(fgu)
gofstat(fgu)


###################################################
### code chunk number 13: bootdistf1l
###################################################
b1l<-bootdist(f1l)
plot(b1l)
summary(b1l)


###################################################
### code chunk number 14: plotdistx2
###################################################
x2<-rnbinom(n=100,size=2,prob=0.3)
plotdist(x2,discrete=TRUE)


###################################################
### code chunk number 15: descdistx2
###################################################
descdist(x2,discrete=T,boot=1000)


###################################################
### code chunk number 16: fitdistx2p
###################################################
f2p<-fitdist(x2,"pois")
plot(f2p)
summary(f2p)
gofstat(f2p,print.test=TRUE)
b2p<-bootdist(f2p)
summary(b2p)


###################################################
### code chunk number 17: fitdistx2nb
###################################################
f2n<-fitdist(x2,"nbinom")
plot(f2n)
summary(f2n)
gofstat(f2n,print.test=TRUE)
b2n<-bootdist(f2n)
summary(b2n)


###################################################
### code chunk number 18: plotdistcensd1
###################################################
d1<-data.frame(
left=c(1.73,1.51,0.77,1.96,1.96,-1.4,-1.4,NA,-0.11,0.55,0.41,
    2.56,NA,-0.53,0.63,-1.4,-1.4,-1.4,NA,0.13),
right=c(1.73,1.51,0.77,1.96,1.96,0,-0.7,-1.4,-0.11,0.55,0.41,
    2.56,-1.4,-0.53,0.63,0,-0.7,NA,-1.4,0.13))
plotdistcens(d1)


###################################################
### code chunk number 19: plotdistcensd2
###################################################
d2<-data.frame(left=10^(d1$left),right=10^(d1$right))
plotdistcens(d2,leftNA=0)


###################################################
### code chunk number 20: plotdistcensd1bis
###################################################
plotdistcens(d1,rightNA=3)


###################################################
### code chunk number 21: fitdistcensd2w
###################################################
f2w<-fitdistcens(d2,"weibull")
summary(f2w)
plot(f2w,leftNA=0)


###################################################
### code chunk number 22: bootdistcensf2w
###################################################
b2w<-bootdistcens(f2w)
summary(b2w)
plot(b2w)


###################################################
### code chunk number 23: fitdistcensd2ln
###################################################
f2l<-fitdistcens(d2,"lnorm")
summary(f2l)
plot(f2l,leftNA=0)


###################################################
### code chunk number 24: fitdistcensd2e
###################################################
f2e<-fitdistcens(d2,"exp")
summary(f2e)
plot(f2e,leftNA=0)


###################################################
### code chunk number 25: intro2fitdistrplus.Rnw:373-377
###################################################
fitdist(x1,"gamma",optim.method="Nelder-Mead")
fitdist(x1,"gamma",optim.method="BFGS") 
fitdist(x1,"gamma",optim.method="L-BFGS-B",lower=c(0,0))
fitdist(x1,"gamma",optim.method="SANN")


###################################################
### code chunk number 26: intro2fitdistrplus.Rnw:429-431
###################################################
u <- runif(50,min=5,max=10)
fitdist(u,"unif",method="mme")


###################################################
### code chunk number 27: intro2fitdistrplus.Rnw:444-445
###################################################
fitdist(u,"unif",method="qme",probs=c(0.25,0.75))


###################################################
### code chunk number 28: intro2fitdistrplus.Rnw:461-462
###################################################
fitdist(u,"unif",method="mge",gof="KS")


